Debian Bug report logs - #672289
libghc-gtk-dev: IconView has an overlapping instance of CellLayoutClass

version graph

Package: libghc-gtk-dev; Maintainer for libghc-gtk-dev is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for libghc-gtk-dev is src:haskell-gtk.

Reported by: Julian Blake Kongslie <jblake@omgwallhack.org>

Date: Wed, 9 May 2012 18:42:04 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version haskell-gtk/0.12.3-1

Forwarded to http://hackage.haskell.org/trac/gtk2hs/ticket/1266

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#672289; Package libghc-gtk-dev. (Wed, 09 May 2012 18:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Blake Kongslie <jblake@omgwallhack.org>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Wed, 09 May 2012 18:42:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Blake Kongslie <jblake@omgwallhack.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libghc-gtk-dev: IconView has an overlapping instance of CellLayoutClass
Date: Wed, 09 May 2012 11:33:15 -0700
Package: libghc-gtk-dev
Version: 0.12.3-1
Severity: normal

Dear Maintainer,

The type Graphics.UI.Gtk.ModelView.IconView.IconView has two overlapping
instances of CellLayoutClass; this prevents use of such instances.

It suffices to remove the instance declaration from the
Graphics/UI/ModelView/IconView.chs file. As the instances are both empty
(and trivially identical) it doesn't matter which is removed, but all
the other CellLayoutClass instances are in the CellLayout.chs file.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libghc-gtk-dev depends on:
ii  ghc [libghc-containers-dev-0.4.2.1-cfc64]         7.4.1-3
ii  libatk1.0-0                                       2.4.0-2
ii  libc6                                             2.13-32
ii  libcairo2                                         1.12.2-1
ii  libffi5                                           3.0.10-3
ii  libfontconfig1                                    2.9.0-3
ii  libfreetype6                                      2.4.9-1
ii  libgdk-pixbuf2.0-0                                2.26.1-1
ii  libghc-array-dev-0.4.0.0-59d1c                    <none>
ii  libghc-base-dev-4.5.0.0-40b99                     <none>
ii  libghc-bytestring-dev-0.9.2.1-18f26               <none>
ii  libghc-cairo-dev [libghc-cairo-dev-0.12.2-d71a1]  0.12.2-1+b1
ii  libghc-gio-dev [libghc-gio-dev-0.12.3-7a190]      0.12.3-1
ii  libghc-glib-dev [libghc-glib-dev-0.12.2-0309d]    0.12.2-1+b1
ii  libghc-mtl-dev [libghc-mtl-dev-2.0.1.0-db19d]     2.0.1.0-3+b1
ii  libghc-pango-dev [libghc-pango-dev-0.12.2-f681a]  0.12.2-1+b1
ii  libglib2.0-0                                      2.32.2-1
ii  libgmp10                                          2:5.0.5+dfsg-1
ii  libgtk2.0-0                                       2.24.10-1
ii  libgtk2.0-dev                                     2.24.10-1
ii  libpango1.0-0                                     1.30.0-1
ii  zlib1g                                            1:1.2.7.dfsg-1

libghc-gtk-dev recommends no packages.

Versions of packages libghc-gtk-dev suggests:
ii  libghc-gtk-doc   0.12.3-1
ii  libghc-gtk-prof  0.12.3-1

-- no debconf information




Added tag(s) upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 21:57:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://hackage.haskell.org/trac/gtk2hs/ticket/1266'. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 09 May 2012 21:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#672289; Package libghc-gtk-dev. (Wed, 09 May 2012 22:27:04 GMT) Full text and rfc822 format available.

Message #12 received at 672289@bugs.debian.org (full text, mbox):

From: "Gtk2Hs" <cvs-ghc@haskell.org>
Cc: gtk2hs-devel@lists.sourceforge.net
Subject: [Gtk2Hs] #1266: IconView has an overlapping instance of CellLayoutClass
Date: Wed, 09 May 2012 21:19:42 -0000
#1266: IconView has an overlapping instance of CellLayoutClass
----------------------------------+-----------------------------------------
 Reporter:  guest                 |       Owner:  somebody
     Type:  defect                |      Status:  new     
 Priority:  normal                |   Milestone:  0.11.0  
Component:  general (Gtk+, Glib)  |     Version:  0.11.0  
 Keywords:                        |  
----------------------------------+-----------------------------------------
 This was reported by Julian Blake Kongslie on
 http://bugs.debian.org/672289:

 The type Graphics.UI.Gtk.!ModelView.!IconView.!IconView has two
 overlapping
 instances of !CellLayoutClass; this prevents use of such instances.

 It suffices to remove the instance declaration from the
 Graphics/UI/!ModelView/!IconView.chs file. As the instances are both empty
 (and trivially identical) it doesn't matter which is removed, but all
 the other !CellLayoutClass instances are in the !CellLayout.chs file.

 The version is 0.12.3 (missing in the trac pulldown).

-- 
Ticket URL: <http://hackage.haskell.org/trac/gtk2hs/ticket/1266>
Gtk2Hs <http://haskell.org/gtk2hs/>
The Gtk2Hs project




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#672289; Package libghc-gtk-dev. (Tue, 26 Mar 2013 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to wagnerdm@seas.upenn.edu:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 26 Mar 2013 19:09:04 GMT) Full text and rfc822 format available.

Message #17 received at 672289@bugs.debian.org (full text, mbox):

From: wagnerdm@seas.upenn.edu
To: 672289@bugs.debian.org
Subject: gtk2hs Trac #1266
Date: Tue, 26 Mar 2013 14:55:25 -0400
(Mailing manually because I think Trac's own mail facilities are not  
working correctly.)

This is now fixed in darcs (and hence the fix will be included in the  
next release). Thanks for the report!

~d



Added tag(s) fixed-upstream. Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Wed, 27 Mar 2013 22:39:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:36:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.